Frama-C Bug Tracking System

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001278Frama-CKernel > Makefilepublic2012-09-26 17:322016-06-21 15:39
ReporterAnne 
Assigned Tobobot 
PrioritynormalSeveritytweakReproducibilityhave not tried
StatusassignedResolutionopen 
PlatformOSOS Version
Product VersionFrama-C Oxygen-20120901 
Target VersionFixed in Version 
Summary0001278: Path for 'make install-doc-code' for external plug-in
DescriptionWhen I do `make install-doc-code` for my XXX plug-in, it installs the documentation in `/usr/local/share/frama-c/doc/XXX` instead of `/usr/local/share/frama-c/doc/code/XXX` like the other plug-ins. So the links to Frama-C documentation are broken.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0003916)
Anne (reporter)
2013-05-28 15:53

It is worse in the new Fluorine version (20130501) since I couldn't even do [make doc] any more without having the message :

> Frama-C kernel was not installed with code documentation support.
> Cannot compile API documentation. To install it,
> run 'make doc install-doc-code' in Frama-C's main directory

but I already did it of course...

I found a quick fix at line 79 of share/Makefile.dynamic :
< if test ! -e $(DOC_DIR)/kernel-doc.ocamldoc; then \
> if test ! -e $(DOC_DIR)/code/kernel-doc.ocamldoc; then \

so now I can make my doc, but the links to Frama-C documentation are still broken.

It is not very important, and I have no time to investigate now, but I'll try to make a very simple example as soon as I have a moment in order to fix that better....

- Issue History
Date Modified Username Field Change
2012-09-26 17:32 Anne New Issue
2012-09-26 17:32 Anne Status new => assigned
2012-09-26 17:32 Anne Assigned To => signoles
2012-10-01 17:07 svn Checkin
2012-10-01 17:07 signoles Status assigned => resolved
2012-10-01 17:07 signoles Resolution open => fixed
2013-04-19 11:05 signoles Fixed in Version => Frama-C Fluorine
2013-04-19 11:05 signoles Status resolved => closed
2013-05-06 13:43 svn Checkin
2013-05-06 13:44 signoles Status closed => resolved
2013-05-06 13:44 signoles Fixed in Version Frama-C Fluorine =>
2013-05-06 15:25 svn Checkin
2013-05-23 17:07 signoles Fixed in Version => Frama-C Fluorine-20130501
2013-05-23 17:07 signoles Status resolved => closed
2013-05-28 15:53 Anne Note Added: 0003916
2013-05-28 15:53 Anne Status closed => feedback
2013-05-28 15:53 Anne Resolution fixed => reopened
2013-09-27 16:56 svn Checkin
2013-09-27 16:57 signoles Status feedback => confirmed
2013-09-27 16:57 signoles Resolution reopened => open
2013-09-27 16:57 signoles Fixed in Version Frama-C Fluorine-20130501 =>
2016-06-21 15:39 signoles Assigned To signoles => bobot
2016-06-21 15:39 signoles Status confirmed => assigned


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker